Loading...
Searching...
No Matches
Magick::charcoalImage Class Reference

## Public Member Functions

| charcoalImage (const double radius_=1, const double sigma_=0.5)
void | operator() (Image &image_) const

## Private Attributes

double | _radius
double | _sigma

## Detailed Description

Definition at line 178 of file STL.h.

## Constructor & Destructor Documentation

## charcoalImage()

Magick::charcoalImage::charcoalImage | ( | const double | radius_ = `1`,
|  | const double | sigma_ = `0.5`
| ) |  |

Definition at line 147 of file STL.cpp.

: _radius( radius_ ),
_sigma( sigma_ )
{
}

## Member Function Documentation

## operator()()

void Magick::charcoalImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 152 of file STL.cpp.

{
image_.charcoal( _radius, _sigma );
}

## Field Documentation

## _radius

double Magick::charcoalImage::_radius

private

Definition at line 186 of file STL.h.

## _sigma

double Magick::charcoalImage::_sigma

private

Definition at line 187 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp